Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.foundation.evolution
Interface EvolutionListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  EvolutionAdapter, IncentiveManagerImpl, LoggingManagerImpl

public interface EvolutionListener
extends EventListener

The listener interface for receiving events that signal major or destructive changes in the ontology.

Version:
  2006-06-14
Author:
  Thomas Much
See Also:
  `OntologyListener`, `EvolutionManager.addEvolutionListener(EvolutionListener)`

Method Summary
`void` | `associationDeleted(EvolutionEvent event)` Called by the EvolutionManager when an association is deleted.
`void` | `topicDeleted(EvolutionEvent event)` Called by the EvolutionManager when a topic is deleted.
`void` | `topicsMerged(EvolutionEvent event)` Called by the EvolutionManager when two topics are merged.

Method Detail

### topicDeleted

    public void topicDeleted(EvolutionEvent event)

  Called by the EvolutionManager when a topic is deleted.

  `EvolutionEvent.getConcept()` contains the deleted topic.

  Parameters:
    `event` - the EvolutionEvent object containing the user and the deleted topic
  See Also:
    `EvolutionManager.deleteTopic(User, Topic)`, `EvolutionManager.deleteTopicAndSubtopics(User, Topic)`

### associationDeleted

    public void associationDeleted(EvolutionEvent event)

  Called by the EvolutionManager when an association is deleted.

  `EvolutionEvent.getConcept()` contains the deleted association.

  Parameters:
    `event` - the EvolutionEvent object containing the user and the deleted association
  See Also:
    `EvolutionManager.deleteAssociation(User, Association)`

### topicsMerged

    public void topicsMerged(EvolutionEvent event)

  Called by the EvolutionManager when two topics are merged.

  `EvolutionEvent.getConcept()` contains one of the merged topics, `EvolutionEvent.getTopic()` the other.

  Parameters:
    `event` - the EvolutionEvent object containing the user and the two merged topics
  See Also:
    `EvolutionManager.mergeTopics(User, Topic, Topic)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD